# 2021-093

**Assisting Wheelchair (Assist W)**

**Main Objective**

To construct a multi-functional automated wheelchair which is more efficient than the prevailing manual and automated wheelchairs. It can help disabled persons to do their day to day activities by themselves and helps to manage mental and physical health.

**Main Research questions**

There should be a person/caretaker to look after the disabled person each and every time   Hence, the traditional wheelchairs have to be controlled/moved manually. In current society, looking after the disabled persons has become a major problem for guardians since they are working on hectic time schedules with limited time.

The joystick in the prevailing electronic wheelchairs [2] are useless for a person who cannot move his/her body (especially both hands) or people who have lost their hands due to accidents or by birth. Due to their inability to move hands, it creates a problem when using the joystick controlling wheelchairs because he/she cannot use that joystick.
 
Though there are previous researches about voice controlling [3], eye tracking [5] and gesture controlling wheelchairs; the users have to provide the controlling signal continuously until the navigation is finished which may lead to make the user unhappy. (e.g.- When consider moving eye tracking wheelchairs from one place to another place, the user has to gaze continuously until the navigation is finished) 

The disabled people who spend most of their time on a wheelchair often experience a sense of social isolation and loneliness, which can lead to depression and other mental health issues. Inaccessible environments and misunderstanding from non-disabled individuals can sometimes lead to feeling left out, isolated or even shunned. Overthinking due to loneliness may increase the risk of dementia, premature death, decreased immunity and heart diseases. The mental and physical impact of loneliness and isolation can be lethal, because high level of loneliness may lead even to suicidality [4]

Sometimes, disabled people may have to face emergency situations (e.g.- heart attack, robbery, sudden shock, falling down from the wheelchair). Then the disabled people are helpless due to lack of mobility. If the patient is unable to react to it or inform about it to their caretakers/nearby people; it may lead to a fatal situation.  Though there are many prevailing electronic wheelchairs; most of them do not facilitate to contact guardians/police in case of an emergency. Further, those wheelchairs have not facilitated to prevent the patient from emergencies. (e.g. – When wheelchair is going to flip, there is no way to prevent from flipping.) 

The guardians have to bear a high cost for caretaking a disabled person. Therefore, everyone likes to buy best products at a fair price. Most of the prevailing electronic wheelchairs have focused on one or two functions. (e.g.- some wheelchairs have only voice controlling) [1]. Therefore, guardians have to pay a high cost and buy a wheelchair with some limited functionalities.
Therefore, the problem of automatically caretaking the disabled people with maintaining their mental and physical health is still remaining.

[1] D. Ding and R. A. Cooper, "Electric powered wheelchairs," in IEEE Control Systems Magazine, vol. 25, no. 2, pp. 22-34, April 2005, doi: 10.1109/MCS.2005.1411382.

[2] T. Rofer, C. Mandel and T. Laue, "Controlling an automated wheelchair via joystick/head-joystick supported by smart driving assistance," 2009 IEEE International Conference on Rehabilitation Robotics, Kyoto, 2009, pp. 743-748, doi: 10.1109/ICORR.2009.5209506.
[3] R. K. Megalingam, R. N. Nair and S. M. Prakhya, "Automated voice based home navigation system for the elderly and the physically challenged," 13th International Conference on Advanced Communication Technology (ICACT2011), Seoul, 2011, pp. 603-608.

[4] H. Huang, X. Li, T. Zhang and B. Han, "Life satisfaction and mental health of Chinese older adults in different living arrangements," Proceedings 2011 International Conference on Human Health and Biomedical Engineering, Jilin, China, 2011, pp. 1152-1155, doi: 10.1109/HHBE.2011.6029030.

[5] H. A. Yanco,” Wheelesley:  A  Robotic Wheelchair System: Indoor Navigation and user interface”, MIT Artificial  Intelligence  Laboratory.    D.  P.  Miller  and M. G. Slack, “Increasing  Access  with  a  Low-Cost Robotic  Wheelchair”, IEEE   Int.   conf., vol.   3, pp.1663-1667, Sept. 1994. 



**Individual research question**

**IT18115826 - Ranaweera W.G.D.U.**

People those who survive to old age and increasing difficulties in mobility, people who has become disabled after facing some tragic accidents or disabled by birth have to seek help of a wheelchair. They will be temporarily or permanently disabled. Then many non-disabled people have to take responsibility for supporting and caring for their disabled relatives [1]. To serve them there are many traditional wheelchairs and electronic wheelchairs has introduced.

When using traditional wheelchairs, it should have propelled by the user or pushed by a caretaker to move one place to another place. Then the disabled persons who had not enough physical strength to handle the wheelchair gets a big trouble [2]. They have to require assistance from a caretaker which reduces their independency. In current society, looking after the disabled persons has become a major problem for guardians since they are working on hectic time schedules with limited time.
Inaccessible environments and misunderstanding from non-disabled individuals can sometimes lead to feeling left out, isolated or even shunned [3]. Also manual wheelchairs can create new issues with repeated use (shoulder wear and tear) [2].
There are many electronic wheelchairs in the market, but most commonly used controlling system in them is joystick. The joystick in the prevailing electronic wheelchairs [4] are useless for a person who cannot move his/her body (especially both hands) or people who have lost their hands due to accidents or by birth. Due to their inability to move hands, it creates a problem when using the joystick controlling wheelchairs because he/she cannot use that joystick. Though the disabled person can move hands, but If he/she is suffering from the disabilities like webbed fingers, Parkinson’s disease, thumb hypoplasia and Aplasia; they are in struggle with gripping a joystick and again face to the above problem.

Though there are previous researches about voice controlling [5], eye tracking [6] and gesture controlling wheelchairs; the users have to provide the controlling signal continuously until the navigation is finished which may lead to make the user unhappy. (e.g.- When consider moving eye tracking wheelchairs from one place to another place, the user has to gaze continuously until the navigation is finished) 

The guardians have to bear a high cost for caretaking a disabled person. Therefore, everyone likes to buy best products at a fair price. Most of the prevailing electronic wheelchairs have focused on one or two functions. (e.g.- some wheelchairs have only voice controlling) [7]. Therefore, guardians have to pay a high cost and buy a wheelchair with some limited functionalities.

Therefore, this research intends to develop an automated assisting wheelchair navigation system which can go from one place to another place automatically with avoiding obstacles. This study aims to provide a practical solution for the above-discussed research problems which are affected to the society, with the aid of existing knowledge and overcoming above mentioned drawbacks of previous researches.


[1] “Inclusion of Persons with Disabilities | Resources, tools ...” [Online].Available: https://disabilityinclusion.msf.org/assets/files/WorldReport_eng.pdf. [Accessed: 25-Feb-2021].

[2] 	D. Schwartz, D. Schwartz, K. on D. 4, H. O. on J. 18, P. on A. 30, and R. C. on S. 3, “The Choice of Mobility: Manual vs. Power Wheelchairs,” HOMEPRO MEDICAL.COM, 16-May-2018. [Online]. Available: https://homepromedical.com/blog/2015/10/28/the-choice-of-mobility-manual-vs-power-wheelchairs/. [Accessed: 22-Feb-2021]. 

[3]	H. Huang, X. Li, T. Zhang and B. Han, "Life satisfaction and mental health of Chinese older adults in different living arrangements," Proceedings 2011 International Conference on Human Health and Biomedical Engineering, Jilin, China, 2011, pp. 1152-1155, doi: 10.1109/HHBE.2011.6029030.

[4]	T. Rofer, C. Mandel and T. Laue, "Controlling an automated wheelchair via joystick/head-joystick supported by smart driving assistance," 2009 IEEE International Conference on Rehabilitation Robotics, Kyoto, 2009, pp. 743-748, doi: 10.1109/ICORR.2009.5209506.

[5]	R. K. Megalingam, R. N. Nair and S. M. Prakhya, "Automated voice based home navigation system for the elderly and the physically challenged," 13th International Conference on Advanced Communication Technology (ICACT2011), Seoul, 2011, pp. 603-608.

[6]	H. A. Yanco,” Wheelesley:  A  Robotic Wheelchair System: Indoor Navigation and user interface”, MIT Artificial  Intelligence  Laboratory.    D.  P.  Miller  and M. G. Slack, “Increasing  Access  with  a  Low-Cost Robotic  Wheelchair”, IEEE   Int.   conf., vol.   3, pp.1663-1667, Sept. 1994

[7] D. Ding and R. A. Cooper, "Electric powered wheelchairs," in IEEE Control Systems Magazine, vol. 25, no. 2, pp. 22-34, April 2005, doi: 10.1109/MCS.2005.1411382.


**IT18114386 - Athalage C.D.**

Currently, there are many electric wheelchairs to overcome the problem of selfnavigation of the traditional wheelchairs by the use of joysticks, hand gestures, eye
gestures, head movement gestures and voice controls [1]. Although there are many
techniques used, still the problems are remaining. The major problem is that the user
has to give commands consistently to navigate.

Some researchers have come up with solutions to overcome this problem by making
wheelchairs navigate automatically. For that purpose, advanced technologies have
been used such as mapping and localizing. However, the people who are suffering
from some nervous disorders such as Parkinson’s disease have not been taken into
consideration.

“At this stage of the research, the user interface for selecting a destination
requires the user to set a point on the 2D map using the mouse. To benefit users
with difficulties in using a mouse, integration with a BCI or other assistive user
interface to select the destination remains to be explored” [2]

People who are suffering from such nervous disorders find it difficult to use a mouse
or to pinpoint the destination in a 2D map accurately. A solution is therefore needed
to meet this requirement.

[1] H. A. Yanco,” Wheelesley: A Robotic Wheelchair System: Indoor Navigation 
and user interface”, MIT Artificial Intelligence Laboratory. D. P. Miller and M. 
G. Slack, “Increasing Access with a Low-Cost Robotic Wheelchair”, IEEE Int. 
conf., vol. 3, pp.1663-1667, Sept. 1994. 

[2] Grewal, H., Matthews, A., Tea, R., & George, K. (2017). LIDAR-based 
autonomous wheelchair. 2017 IEEE Sensors Applications Symposium (SAS). 
doi:10.1109/sas.2017.7894082

**IT18114768 - Virajamana H.M.S.V.**

In our daily lives, we are faced with a variety of challenges that illustrate the limits of our human
nature. We become God's greatest creation when we face and resolve those challenges. “The
only deficiency in existence is a severe illness," Scott Hamilton said. This way of thinking is
necessary for anyone who wishes to be happy in life. There’s no point in worrying about spilled
milk; instead, keep a good outlook and remember that there's light at the end of the tunnel. Take
a look at some of the difficulties that people with disabilities face. What they do with it, and
what we should do to make their lives a little brighter.
Disabled people use a chair as a necessary piece of equipment in their daily activities.
According to the results of the study, the average person spends at least 10 hours a day sitting.
The main issue is figuring out how to spend the time effectively without being bored.
Here are some more issues they are dealing with in their everyday lives


*  Accessibility - This is especially bad for people with physical disabilities. They are more
likely to use wheelchairs or crutches. Therefore, free travel is not a luxury they can
afford.

*  Education- Education is a human right, in a perfect world, education is free and
available to all. A large number of people with disabilities remain illiterate and therefore
deprived of basic education.

*  Access to healthcare - the health system has already expanded significantly. Poor people
do not have access to health care and people with disabilities.

*  Lack of employment - The employment of any one depends on his or her education and
skills. they will surely be left behind by the other candidates for the job.

*  Relationships - People are complex. They judge others on a set of parameters that may
or may not work in all cases. This prejudice is the root cause of all mistrust and
misunderstanding. Most people with disabilities are wanted as life partners, this often
brings sadness and loneliness into their lives.

Many of these issues can be solved if people with special needs are treated with greater patience
and empathy. Jobs for disabled people should be made available; this would provide them with
financial stability and a fulfilling life. We need to improve accessibility for people with
disabilities in our society.
So with this situation, we bring a best solution with an augmented reality companion to
overcome those issue

**IT18119886 - Kaveesha I.G.C.**

Most disabled people use wheelchairs these days. An additional person is hired caring for that
person. Most people do not like it because it is a job that requires a lot of work. Like The
solution to this, a wheelchair with automatic controls have been developed in the past. No.
someone else needs help when it comes to automation. So the user can do his job alone. Since
then they have had various difficulties in doing their work alone. When traveling alone, the
wheelchair may be out of control and fall off the slope. After that he will be there after his bow
trouble if no one can help him. As a solution to this, create a self-assessment plan for This will
make it easier for the disabled person to move safely.One of the biggest problems most people
with disabilities do not have is hard to find something at a certain height. Potential users of the
proposed fixed wheelchair include wheelchair users who use footrests and users who have
difficulty transferring and access to resources. Put things back on the floor or on the top shelf
while in a wheelchair can be difficult and unsafe for users. Seat lift systems allow
wheelchairbound patients to communicate at the same level as most other people. When they
see they work with a standing person, a person in a wheelchair who can use their seating
elevator to elevate their seats so that they are at the same level as the person they are talking
to. This ability to raise themselves to the same level as their family members, friends, and
potential colleagues very positive impact on the confidence of patients confined to wheelchairs
and social skills. The solution to this problem is to create a system that allows the user to control
his or her seat chair at the desired height on the mobile, which helps users to do their job in
theirs and also increase their safety. Time is a major problem in today's society. Most people
they have problems with time because they are busy with their work. Caregivers of people with
disabilities and have this problem. They do not have time to look after the health of the disabled
a person. In some cases, even lives are lost because of poor performance. In case the user should
To deal with an emergency, the caregiver must be notified of the user's health status on cell
phone so that his caregiver is not available at any time. No need to go to the file hospital
regularly to check the health of people with disabilities This program allows the student to
monitor his health at any time. This health care system allows the user to check the state of
health of the user and find out about his illnesses, so this program can provide the most
important service to the user's caregiver. 


**Individual Objectives**

**IT18115826 - Ranaweera W.G.D.U.**

Main Objective - 
Move Assist W according to the user commands(touch/voice) by using the previously created map with avoiding obstacles.

Sub Objectives - 

*  Take the user commands via a touch screen or voice according to the user’s perspective.

*  Implement an autonomous navigational system.

*  Give a safe navigation to the disabled person with obstacle detection and avoidance.

 
**IT18114386 - Athalage C.D.**

Main Objective - 
Offering people with nervous disorders such as Parkinson’s disease to easily interact with the Assist W

Sub Objectives - 

*  Generating a floor map of the house automatically.

*  Saving the map in a web interface and programming a keypad to define locations.


**IT18114768 - Virajamana H.M.S.V.**

Main Objective - 
The main objective of implementing an Ar Chatbot is to overcome the issues mentioned above and keep mental health in perfect way. 

Sub Objectives - 

*  Choosing a universal character for augmented reality Chabot human interaction.

*  Understanding the natural language and emotions of a disabled person via camera and reply to those emotions.

*  Remember usual daily habits.


**IT18119886 - Kaveesha I.G.C.**

Main Objective - 
Create health care system and fall detection system.

Sub Objectives - 

*  Get the user heath data from the related circuits and sensors as the caretaker wanted time.

*  Measure the wheelchair’s angle from the gyroscope sensor and notify caretaker is the user falling.

*  Set the linear actuator between the two wheels so that seat can be lifted through the mobile app


**Other Necessary Information**

**Technologies**


*  Generating a Map of the House Automatically and Creating a Web Interface (IT18114386) - Ubuntu, Python, ROS-Kinetic, RPLIDAR,Hector SLAM alhorithm, RViz visualizing tool, ROSLIBJS library, Rosbridge Protocol, HTML, CSS, JS, Bootstrap

*  Move Assist W according to the user commands(touch/voice) by using the previously created map (IT18115826) - LIDAR sensor and couple of ultrasonic sensors, Ubuntu, Python, ROS-Kinetic,ROSLIBJS library, Rosbridge Protocol, HTML, CSS, JS, Bootstrap, MCL and AMCL algorithms, ROS + PocketSphinx 

*  Augmented reality companion Chatbot to manage mental health(IT18114768) - IBM Cloud Service,Firebase Database, Unity

*  Manage physical health (IT18119886) - C++,ESP32 Board,MAX30100/102 Pulse Oximeter sensor,DS18B20 Temperature Sensor,DHT11 Sensor,Linear actuator,Android studio,Breadboard





 
 










